qpid-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alan Conway (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (QPID-3116) rubygen with ruby 1.9
Date Mon, 21 Mar 2011 18:17:06 GMT

     [ https://issues.apache.org/jira/browse/QPID-3116?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Alan Conway resolved QPID-3116.
-------------------------------

    Resolution: Fixed

Committed on 0.10 branch r1083889

> rubygen with ruby 1.9
> ---------------------
>
>                 Key: QPID-3116
>                 URL: https://issues.apache.org/jira/browse/QPID-3116
>             Project: Qpid
>          Issue Type: Bug
>          Components: Build Tools
>    Affects Versions: 0.9
>         Environment: Ruby 1.9.2
>            Reporter: Geoffrey Clements
>            Assignee: Alan Conway
>            Priority: Minor
>             Fix For: 0.10
>
>         Attachments: amqpgen.rb.patch
>
>   Original Estimate: 1h
>  Remaining Estimate: 1h
>
> The ampqgen.rb script appends an underscore to attributes that may conflict with attributes
that may already exist in object. The issue is with 'type'. It is an attribute in ruby 1.8.x
but not in 1.9.x. The code accesses a type_ attribute in the code which doesn't actually exist
when running under 1.9.x because type isn't an attribute. The fis is a simple special case
for the type symbol.

--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira

---------------------------------------------------------------------
Apache Qpid - AMQP Messaging Implementation
Project:      http://qpid.apache.org
Use/Interact: mailto:dev-subscribe@qpid.apache.org


Mime
View raw message